CacheKeyQueryStringActionParameters Class

Defines the parameters for the cache-key query string action.

Variables are only populated by the server, and will be ignored when sending a request.

All required parameters must be populated in order to send to Azure.

Inheritance
CacheKeyQueryStringActionParameters

Constructor

CacheKeyQueryStringActionParameters(*, query_string_behavior: Union[str, azure.mgmt.cdn.models._cdn_management_client_enums.QueryStringBehavior], query_parameters: Optional[str] = None, **kwargs)

Variables

type_name
str

Has constant value: "DeliveryRuleCacheKeyQueryStringBehaviorActionParameters".

query_string_behavior
str or QueryStringBehavior

Required. Caching behavior for the requests. Possible values include: "Include", "IncludeAll", "Exclude", "ExcludeAll".

query_parameters
str

query parameters to include or exclude (comma separated).

Attributes

type_name

type_name = 'DeliveryRuleCacheKeyQueryStringBehaviorActionParameters'